Get category
get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200
OK
application/json
Represents a notification category that can be used to organize and filter notifications.
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional
Gets or sets the description of the category.
optOutAllowedbooleanOptional
Gets or sets a value indicating whether recipients can opt out of notifications in this category.
statusstringOptional
Gets or sets the current status of the category.
notestring · nullableOptional
Gets or sets an optional note about the category.
deleteAllowedbooleanOptional
Gets or sets a value indicating whether this category can be deleted.
lastUsedstring · date-time · nullableOptional
Gets or sets the timestamp of when this category was last used to send a notification.
enabledByDefaultbooleanOptional
Gets or sets a value indicating whether this category is enabled by default for new recipients.
404
Not Found
application/json
get/public/v1/notifications/categories/{id}
GET /public/v1/notifications/categories/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"description": "text",
"optOutAllowed": true,
"status": "text",
"note": "text",
"deleteAllowed": true,
"statistics": {
"month": 1,
"today": 1,
"week": 1
},
"lastUsed": "2026-01-01T00:00:00.000Z",
"enabledByDefault": true
}Last updated
Was this helpful?